{% extends 'images/base.html' %}

{% block content %}
<div>
    <h2>{{ image.title }}</h2>
    <h3>{{ image.desc }}</h3>
    <p>Objavljeno: {{ image.pub_date }}</p>
    <img src="{{ image.url }}" style="width: 400px">
</div>
<div>
    <form action="{% url 'images:comment_create' image.id %}" method="post">
        {% csrf_token %}
        <label for="">Autor</label>
        <input type="text" name="author" id=""><br>
        <label for="">Komentar</label>
        <input type="text" name="text" id=""><br>
        <input type="submit" value="Komentiraj">
    </form>
    <h2>Komentari</h2>

    {% for comment in comments %}
        <p><strong>{{ comment.author }}</strong>
            {{comment.text}}
        </p>
        <p><small>{{comment.created_at}}</small></p>
        <hr>
    {% empty %}
        <strong>Nema još komentara. Budi prvi i komentiraj</strong>
    {% endfor %}
</div>
{% endblock content %}